server:
  port: 8090

spring:
  data:
    mongodb:
      authentication-database: admin
      host: ${MONGODB_HOST:localhost}
      port: ${MONGODB_PORT:27017}
      username: ${MONGODB_USERNAME:admin}
      password: ${MONGODB_PASSWORD:yt5h839rvftekpny25ekg94cxsbqg36722rap32t}
      database: ${MONGODB_DATABASE:win123club}

  datasource:
    jdbcUrl: jdbc:mysql://${MYSQL_HOST:localhost}:3306/${MYSQL_DATABASE:vinplay}?useSSL=false
    username: ${MYSQL_USERNAME:root}
    password: ${MYSQL_PASSWORD:7ffzzqkzrt8e7u77k83bq5j3xw3jf7d7m9qxejem}
    driver-class-name: com.mysql.jdbc.Driver
  jpa:
    hibernate:
      ddl-auto: none

vinadmin:
  datasource:
    jdbcUrl: jdbc:mysql://${MYSQL_ADMIN_HOST:localhost}:3306/${MYSQL_ADMIN_DATABASE:vinplay_admin}?useSSL=false
    username: ${MYSQL_ADMIN_USERNAME:root}
    password: ${MYSQL_ADMIN_PASSWORD:7ffzzqkzrt8e7u77k83bq5j3xw3jf7d7m9qxejem}
    driver-class-name: com.mysql.jdbc.Driver

telegram:
  bot:
    otp:
      token: ${TELEGRAM_BOT_OTP_TOKEN:915762570:AAH-tg1QXOB1FFvK5jEVxy9d5q1ebqZ9pw0}
      username: ${TELEGRAM_BOT_OTP_USERNAME:TestGameHiwinBot}

sms:
  url: ${SMS_URL:http://rest.esms.vn/MainService.svc/json/SendMultipleMessage_V4_get?}
  api-key: ${SMS_KEY:E75C2998266BBAF2ED812EE6B6E2AD}
  api-secret: ${SMS_SECRET:B89F9E0D6AC7904528DC6B2065F5A1}
  offsetPerPageSmsLog: 50

logging:
  file:
    name: telegram.log
  level:
    com:
      chatbot:
        telegram: DEBUG
    org:
      springframework:
        web:
          filter:
            CommonsRequestLoggingFilter: DEBUG

limitTimeOtp: 60